• Русский
  • PostgresBackup

    Description
    PostgresBackup is the Schema for the postgresbackups API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    PostgresBackupSpec defines the desired state of PostgresBackup

    statusobject

    PostgresBackupStatus defines the observed state of PostgresBackup

    .spec

    Description
    PostgresBackupSpec defines the desired state of PostgresBackup
    Type
    object
    Required
    cluster
    PropertyTypeDescription
    clusterstring

    Cluster is the name of the PostgreSQL cluster to backup

    executeNodestring

    ExecuteNode specifies the node where the backup job should run If empty, the backup controller will automatically select a node

    .status

    Description
    PostgresBackupStatus defines the observed state of PostgresBackup
    Type
    object
    PropertyTypeDescription
    backupNamestring

    BackupName is the unique name of this backup instance

    clusterUidstring

    ClusterUid is the unique identifier of the PostgreSQL cluster

    configBackupStorageobject

    ConfigBackupStorage contains the configuration for the backup storage

    errorstring

    Error contains any error messages from the backup operation

    executeNodestring

    ExecuteNode is the node where the backup job is running

    finishLsninteger

    FinishLsn is the log sequence number when the backup finished

    finishTimestring

    FinishTime is when the backup operation completed

    lastModifiedstring

    LastModified is the timestamp when the backup was last modified

    pgVersionstring

    PGVersion is the PostgreSQL version of the cluster being backed up

    startLsninteger

    StartLsn is the log sequence number when the backup started

    startTimestring

    StartTime is when the backup operation began

    statestring

    State represents the current state of the backup operation Possible values: "", "running", "failed", "succeeded", "deleteFailed"

    .status.configBackupStorage

    Description
    ConfigBackupStorage contains the configuration for the backup storage
    Type
    object
    Required
    bucketnamenamespace
    PropertyTypeDescription
    bucketstring
    namestring
    namespacestring

    API Endpoints

    The following API endpoints are available:

    • /apis/middleware.alauda.io/v1/namespaces/{namespace}/postgresbackups
      • DELETE: delete collection of PostgresBackup
      • GET: list objects of kind PostgresBackup
      • POST: create a new PostgresBackup
    • /apis/middleware.alauda.io/v1/namespaces/{namespace}/postgresbackups/{name}
      • DELETE: delete the specified PostgresBackup
      • GET: read the specified PostgresBackup
      • PATCH: partially update the specified PostgresBackup
      • PUT: replace the specified PostgresBackup
    • /apis/middleware.alauda.io/v1/namespaces/{namespace}/postgresbackups/{name}/status
      • GET: read status of the specified PostgresBackup
      • PATCH: partially update status of the specified PostgresBackup
      • PUT: replace status of the specified PostgresBackup

    /apis/middleware.alauda.io/v1/namespaces/{namespace}/postgresbackups

    HTTP method
    DELETE
    Description
    delete collection of PostgresBackup
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind PostgresBackup
    HTTP responses
    HTTP codeResponse body
    200 - OKPostgresBackupList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new PostgresBackup
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyPostgresBackup schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKPostgresBackup schema
    201 - CreatedPostgresBackup schema
    202 - AcceptedPostgresBackup schema
    401 - UnauthorizedEmpty

    /apis/middleware.alauda.io/v1/namespaces/{namespace}/postgresbackups/{name}

    HTTP method
    DELETE
    Description
    delete the specified PostgresBackup
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified PostgresBackup
    HTTP responses
    HTTP codeResponse body
    200 - OKPostgresBackup schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified PostgresBackup
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKPostgresBackup schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified PostgresBackup
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyPostgresBackup schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKPostgresBackup schema
    201 - CreatedPostgresBackup schema
    401 - UnauthorizedEmpty

    /apis/middleware.alauda.io/v1/namespaces/{namespace}/postgresbackups/{name}/status

    HTTP method
    GET
    Description
    read status of the specified PostgresBackup
    HTTP responses
    HTTP codeResponse body
    200 - OKPostgresBackup schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified PostgresBackup
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKPostgresBackup schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified PostgresBackup
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyPostgresBackup schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKPostgresBackup schema
    201 - CreatedPostgresBackup schema
    401 - UnauthorizedEmpty